Bug 469942 - Hang when creating initial ChangeLog
Hang when creating initial ChangeLog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-changelog (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 15:22 EST by Andrew Overholt
Modified: 2010-01-05 09:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 20648 None None None Never

  None (edit)
Description Andrew Overholt 2008-11-04 15:22:37 EST
Description of problem:
Every time I press Ctrl-Alt-c in a file in a project which does not contain a ChangeLog file, I get the prompt for the location (fine) but when I pick it my workbench hangs and I have to kill it.  There's nothing in my log file.

$ rpm -qa | grep eclipse
icu4j-eclipse-3.8.1-4.fc10.x86_64
eclipse-ecj-3.4.1-5.fc10.x86_64
eclipse-epic-0.6.25-1.fc10.x86_64
eclipse-rcp-3.4.1-5.fc10.x86_64
eclipse-debuginfo-3.4.1-1.fc10.x86_64
tomcat5-jasper-eclipse-5.5.27-4.9.fc10.noarch
eclipse-swt-3.4.1-5.fc10.x86_64
eclipse-mylyn-pde-3.0.3-2.fc10.noarch
eclipse-anyedit-2.1.1-4.fc9.noarch
eclipse-jdt-3.4.1-5.fc10.x86_64
eclipse-changelog-2.6.3-1.fc10.x86_64
eclipse-pde-3.4.1-5.fc10.x86_64
eclipse-cdt-5.0.0-10.fc10.x86_64
eclipse-subclipse-1.2.4-12.fc10.noarch
eclipse-platform-3.4.1-5.fc10.x86_64
eclipse-rpm-editor-0.4.0-5.fc10.x86_64
eclipse-mylyn-3.0.3-2.fc10.noarch
eclipse-mylyn-java-3.0.3-2.fc10.noarch
Comment 1 Andrew Overholt 2008-11-21 17:34:22 EST
Turns out this was an upstream bug:  https://bugs.eclipse.org/20648

Fixed in trunk there.
Comment 2 Andrew Overholt 2008-11-21 17:35:54 EST
Let's make sure we get this fix into a Fedora RPM.
Comment 3 Bug Zapper 2008-11-25 23:46:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 03:45:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:44:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Andrew Overholt 2010-01-05 09:22:15 EST
Just to close the loop, the upstream bug was:

bugs.eclipse.org/253016

and the fix is included in recent released versions.

Note You need to log in before you can comment on or make changes to this bug.